aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lua5.2-cjson
diff options
context:
space:
mode:
Diffstat (limited to 'testing/lua5.2-cjson')
-rw-r--r--testing/lua5.2-cjson/APKBUILD5
1 files changed, 3 insertions, 2 deletions
diff --git a/testing/lua5.2-cjson/APKBUILD b/testing/lua5.2-cjson/APKBUILD
index 82a7ae2d17..5e98e96eec 100644
--- a/testing/lua5.2-cjson/APKBUILD
+++ b/testing/lua5.2-cjson/APKBUILD
@@ -2,7 +2,7 @@
_luaver=5.2
pkgname=lua${_luaver}-cjson
pkgver=2.1.0
-pkgrel=0
+pkgrel=1
pkgdesc="fast JSON parsing and encoding support for Lua $_luaver"
url="http://www.kyne.com.au/~mark/software/lua-cjson.php"
arch="all"
@@ -27,7 +27,8 @@ prepare() {
build() {
cd "$_builddir"
- make CFLAGS_EXTRA= PREFIX=/usr|| return 1
+ make CFLAGS_EXTRA="$( pkg-config lua$_luaver --cflags )" \
+ PREFIX=/usr|| return 1
}
package() {